Bug 177497 - gdmflexiserver crashes
Summary: gdmflexiserver crashes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-11 10:23 UTC by Kjartan Maraas
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 20:57:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kjartan Maraas 2006-01-11 10:23:28 UTC
Description of problem:
gdmflexiserver started crashing on me after updating from rawhide yesterday:

Program received signal SIGSEGV, Segmentation fault.
0x00bf6eed in __strncasecmp (s1=0x0, s2=0x8051ab4 "true", n=4) at strncase.c:68
68        while ((result = TOLOWER (*p1) - TOLOWER (*p2++)) == 0)
(gdb) bt
#0  0x00bf6eed in __strncasecmp (s1=0x0, s2=0x8051ab4 "true", n=4)
    at strncase.c:68
#1  0x00b125d4 in g_strncasecmp (s1=0x0, s2=0x8051ab4 "true", n=4)
    at gstrfuncs.c:1903
#2  0x0804e343 in gdm_config_get_xservers (flexible=1) at gdmconfig.c:240
#3  0x0804c109 in main (argc=Cannot access memory at address 0x0
) at gdmflexiserver.c:537
#4  0x00ba16b4 in __libc_start_main (main=0x804bedf <main>, argc=1,
    ubp_av=0xbf8b7834, init=0x8050d28 <__libc_csu_init>,
    fini=0x8050d20 <__libc_csu_fini>, rtld_fini=0xb7cdd0 <_dl_fini>,
    stack_end=0xbf8b782c) at libc-start.c:231
#5  0x0804afb1 in _start ()
(gdb)

Version-Release number of selected component (if applicable):


How reproducible:

Happens always

Steps to Reproduce:
1. run gdmflexiserver
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Satish Balay 2006-01-18 20:43:54 UTC
problem exists with fc5t2 as well.

Comment 2 Kjartan Maraas 2006-01-18 20:57:45 UTC
It's fixed in rawhide today.


Note You need to log in before you can comment on or make changes to this bug.